package monalipse.editors;

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.ui.IElementFactory;
import org.eclipse.ui.IMemento;

public class ThreadEditorInputFactory implements IElementFactory
{
	private static final String ID_FACTORY =  ThreadEditorInputFactory.class.getName();

	private static final String TAG_URL = "url";
	private static final String TAG_TITLE = "title";
	private static final String TAG_TOOLTIP = "tooltip";

	public ThreadEditorInputFactory()
	{
	}

	public IAdaptable createElement(IMemento memento)
	{
		String url = memento.getString(TAG_URL);
		String title = memento.getString(TAG_TITLE);
		String tooltip = memento.getString(TAG_TOOLTIP);
		
		if(url != null && title != null && tooltip != null)
			return new ThreadEditorInput(url, title, tooltip);
		else
			return null;
	}

	public static String getFactoryId()
	{
		return ID_FACTORY;
	}

	public static void saveState(IMemento memento, ThreadEditorInput input)
	{
		memento.putString(TAG_URL, input.getURL());
		memento.putString(TAG_TITLE, input.getTitle());
		memento.putString(TAG_TOOLTIP, input.getToolTipText());
	}
}
